/*
 * IMTR EDITOR 
 * Copyright (C) 1994, 1995, 1998, 1999, 2007 by IRCAM-Centre Georges Pompidou, Paris, France.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1
 * of the License, or (at your option) any later version.
 * 
 * See file COPYING.LIB for further informations on licensing terms.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

/**
 * @brief This Interface have to be implemented by the root Juce Component, containing EditorContainer.
 * This component have to interact directly with the System, to print messages or to output objects or lists
 *
 * See ftm.editor.cpp as example
 *
 * @see ImtrEditor
 * @see EditorContainer
 * @see guiinterfaces
 * @defgroup ImtrEditorListener ImtrEditorListener
 */

#ifndef _EDITOR_CONTAINER_LISTENER_H_
#define _EDITOR_CONTAINER_LISTENER_H_

#include "juce.h"

class  EditorContainerListener
{
public:
  /** Destructor. */
  virtual ~EditorContainerListener() {}

  virtual void containerChanged() = 0;
};

#endif   // _IMTR_EDITOR_LISTENER_H_
