
#ifndef _EDITOR_RULER_H_
#define _EDITOR_RULER_H_

#include "juce.h"

#define float_Pi 3.14159265358979323846f

//class EditorRuler;

class EditorRuler: public JUCE_EDITOR_NAMESPACE::Component, public EditorContainerListener
{
public:
  EditorRuler(EditorContainer *container);

  ~EditorRuler();

  //==============================================================================
  void containerChanged();
  void paint(JUCE_EDITOR_NAMESPACE::Graphics& g);
  void resized();
  void initRuler();
  double getFirstVisibleTimeStep(int k);
  
  void setRulerForegroundColor(JUCE_EDITOR_NAMESPACE::Colour color);
  void setRulerBackgroundColor(JUCE_EDITOR_NAMESPACE::Colour color);
  JUCE_EDITOR_NAMESPACE::Colour getRulerForegroundColor(){return fgcolor;}
  JUCE_EDITOR_NAMESPACE::Colour getRulerBackgroundColor(){return bgcolor;}
  bool isForegroundChanged(){return have_fgcolor;}
  bool isBackgroundChanged(){return have_bgcolor;}
  EditorContainer *container;
private:
  JUCE_EDITOR_NAMESPACE::Colour bgcolor;
  JUCE_EDITOR_NAMESPACE::Colour fgcolor;
  bool have_fgcolor;
  bool have_bgcolor;
  float zoom, transposition, hlength;
  double timeStep, subTimeStep;
  
  JUCE_EDITOR_NAMESPACE::Font rulerFont;
  
  void drawRuler(JUCE_EDITOR_NAMESPACE::Graphics& g);
  int rulerGetX(double x);
  double rulerGetInvX(float x);
};

#endif   // _EDITOR_RULER_H_
